/***************************************************************************
                          uintconfigentry.h  -  description
                             -------------------
    begin                : Fre Aug 29 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef UINTCONFIGENTRY_H
#define UINTCONFIGENTRY_H

#include <configentry.h>

/**
  *@author Thomas Dreibholz
  */

class UIntConfigEntry : public ConfigEntry  {
public: 
	UIntConfigEntry(unsigned int* valuePtr, const char* name);
	~UIntConfigEntry();

    virtual QString getValueAsString();
    virtual void setValueFromString(QString);
    virtual QString getName();
private:
    unsigned int* EntryValue;
    QString EntryName;
};

#endif
